Bug 229711 - [UPDATE] games/jaggedalliance2: update to 0.16.1 release
Summary: [UPDATE] games/jaggedalliance2: update to 0.16.1 release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lars Engels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-12 01:52 UTC by Dima Panov
Modified: 2019-04-09 20:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lme)


Attachments
[UPDATE] games/jaggedalliance2: update to 0.16.1 release (16.69 KB, patch)
2018-07-12 01:52 UTC, Dima Panov
no flags Details | Diff
jaggedalliance2.diff (17.16 KB, patch)
2019-04-07 10:18 UTC, Tobias Kortkamp
tobik: maintainer-approval? (lme)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2018-07-12 01:52:30 UTC
Created attachment 195064 [details]
[UPDATE] games/jaggedalliance2: update to 0.16.1 release

[UPDATE] games/jaggedalliance2: 

- Update game to 0.16.1 release
- The project moved to GitHub
- Use CMake/Ninja for the main build
- Use Cargo/Rust to build libstracciatella.so
- Use X11/GL
- Use SDL2
- Set LICENSE to Public Domain
- Use custom pre-configure and post-build targets due to port infrastructure don't allow mixed CMake/Cargo builds yet
Comment 1 Lars Engels freebsd_committer 2018-07-13 16:11:41 UTC
Thanks for this, I am going to try your patch and commit it.

One thing could be wrong: 

"Set LICENSE to Public Domain"

Upstream's ReadMe states:

"Unless specified explicitly in the commit message, all changes since commit 8287b98 are released to the public domain. All libraries in dependencies/lib-* have their own licenses.

It is not known under which license Tron released his changes. All we know, the source codes were publicly available in his svn repository."
Comment 2 Dima Panov freebsd_committer 2018-07-13 22:50:28 UTC
(In reply to Lars Engels from comment #1)
Bundled libs are always not matters, but original SCI-SCLA may be inherited.


LICENSE= PD SCI-SCLA
LICENSE_COMB= multi
LICENSE_FILE_SCI-SCLA="${WRKDIR}/SFI Source Code license agreement.txt"
?
Comment 3 Lars Engels freebsd_committer 2018-07-18 14:20:52 UTC
I'm not an expert in the licenses framework, so I rely on you that this is the right way to do this. :)

Meanwhile I tested your patch and building worked fine. But the ja2 binary crashes on startup when you don't start it with CWD /usr/local/share/jaggedalliance2

Does it work for you? Maybe we need wrapper script that switches to the directory before calling ja2.
Comment 4 Dima Panov freebsd_committer 2018-08-14 13:12:25 UTC
(In reply to Lars Engels from comment #3)
Sorry for a late answer but yes, seems like some shell hacking is required, main ja2 binary and ja2-launcher should run from ${DATADIR} :(

CmakeLists.txt should be adjusted to install launcher as "ja2-launcher.bin", and "ja2-launcher" will be a shell script with CWD to keep original name and shortcuts

I've also tested proposed pull request https://github.com/ja2-stracciatella/ja2-stracciatella/pull/672, but without any success :(
Comment 5 Tobias Kortkamp freebsd_committer 2019-04-07 10:18:59 UTC
Created attachment 203439 [details]
jaggedalliance2.diff

Here's a rebased and cleaned up patch.  The port has been marked
as broken since November and has now been marked as deprecated so
let's fix it.

> Meanwhile I tested your patch and building worked fine.  But the
> ja2 binary crashes on startup when you don't start it with CWD
> /usr/local/share/jaggedalliance2

This can be fixed by setting EXTRA_DATA_DIR in the build.
Comment 6 Lars Engels freebsd_committer 2019-04-09 18:44:18 UTC
Thanks, I'll take a look at your patch!
Comment 7 commit-hook freebsd_committer 2019-04-09 19:39:06 UTC
A commit references this bug:

Author: lme
Date: Tue Apr  9 19:38:53 UTC 2019
New revision: 498512
URL: https://svnweb.freebsd.org/changeset/ports/498512

Log:
  games/jaggedalliance2:

  - Update to 0.16.1
  - Unbreak and remove expiration date
  - Fetch from Github
  - Add LICENSE
  - Use CMake/Ninja for the main build
  - Switch to Rust / Cargo to build libstracciatella.so
  - Pass to new maintainer (tobik). Thanks for taking it!

  PR:		229711
  Submitted by:	fluffy, rebased and updated by tobik

Changes:
  head/games/jaggedalliance2/Makefile
  head/games/jaggedalliance2/distinfo
  head/games/jaggedalliance2/files/
  head/games/jaggedalliance2/pkg-descr
  head/games/jaggedalliance2/pkg-message
  head/games/jaggedalliance2/pkg-plist
Comment 8 Lars Engels freebsd_committer 2019-04-09 20:47:48 UTC
Committed, thanks!